import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";

export const provincePolicyAutoAllocateCarService = createAsyncThunk(
  "PROVINCE_POLICY_AUTO_ALLOCATE_CAR_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    const { data, status } = await axios.put(
      "auto_make_kill_house_requests/0/",
      d
    );
    dispatch(LOADING_END());
    return { data, status };
  }
);
